glibmm 2.78.1

Classes | Static Public Member Functions | Static Public Attributes | List of all members
Glib::Traits::HasGetBaseType< T, Ret(Args...)> Struct Template Reference

`#include <glibmm/value.h>`

## Classes
struct | Check

## Static Public Member Functions
template<typename U >
static std::true_type | Test (Check< Ret(*)(Args...), & U::get_base_type > *)
template<typename U >
static std::false_type | Test (...)

## Static Public Attributes
static const bool | value = decltype(Test<T>(0))::value

## Member Function Documentation

## ◆ Test() [1/2]

template <typename T , typename Ret , typename... Args>
template <typename U >

static std::false_type Glib::Traits::HasGetBaseType< T, Ret(Args...)>::Test | ( |  | ... | ) |
| static

## ◆ Test() [2/2]

template <typename T , typename Ret , typename... Args>
template <typename U >

static std::true_type Glib::Traits::HasGetBaseType< T, Ret(Args...)>::Test | ( | Check< Ret(*)(Args...), &U::get_base_type > * |  | ) |
| static

## Member Data Documentation

## ◆ value

template <typename T , typename Ret , typename... Args>

const bool Glib::Traits::HasGetBaseType< T, Ret(Args...)>::value = decltype(Test<T>(0))::value
| static